#!/usr/bin/perl

#----------------------------------------------------------------------
# Copyright (c) 2004 free-EOS
# Author:       Emmanuel Saracco <esaracco@noos.fr>, Free-EOS
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
#----------------------------------------------------------------------

use strict;
use esmith::ConfigDB;

my $dir = $ARGV[0];
my $var = substr ($dir, 0, 1) = uc (substr ($dir, 0, 1));
my $conf = esmith::ConfigDB->open();
my $purge = ($conf->get("Clamav${var}Purge"))->value ();
my $day = ($conf->get("Clamav${var}PurgeCronDay"))->value ();

# exit is purge has been blocked
exit (1) if ($purge ne 'yes');

# browse quarantine repository to purge old files
opendir (DIR, "/var/spool/amavis-ng/$dir");
while (my $file = readdir (DIR))
{
  next if $file = /^\./;

  unlink ("/var/spool/amavis-ng/$dir/$file")
    if (int (-M $file) >= int ($day))
}
closedir (DIR);
